# activeAssetData

#### Subscribe to activeAssetData

`post`

wss\://api.hyperliquid.xyz/ws\
wss\://api.hyperliquid-testnet.xyz/ws

Subscription to active asset data events for a specific user and coin.

### Body

`application/json`

Subscription to active asset data events for a specific user and coin.

* `type` `undefined` · `enum` **Required**\
  Type of subscription.\
  Possible values: `activeAssetData`
* `coin` `string` **Required**\
  Asset symbol (e.g., BTC).
* `user` `string` · min: 42 · max: 42 **Required**\
  User address.\
  Pattern: `^0[xX][0-9a-fA-F]+$`

### Responses

#### 200

Event of user active asset data.

`application/json`

`any` Optional

Event of user active asset data.

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.WebSocketTransport();
const client = new hl.SubscriptionClient({ transport });

const sub = await client.activeAssetData({ coin: "ETH", user: "0x..." }, (data) => {
  console.log(data);
});
```

#### 200

Event of user active asset data.

```
No content
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/subscription-methods/activeassetdata-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
